onesignal service With expo 34

I followed the steps here


And you exported a folder
android
And you run the application on a real device
But unfortunately does not show token as if it does not exist
I think the installation method is not on the Expo SDK 34
Is there an alternative?
How do you add Notifications to my project?

my code

import React, {Component} from ‘react’;
import {Platform, StyleSheet, Text, View} from ‘react-native’;
import OneSignal from ‘react-native-onesignal’; // Import package from node modules

const instructions = Platform.select({
ios: ‘Press Cmd+R to reload,\n’ + ‘Cmd+D or shake for dev menu’,
android:
‘Double tap R on your keyboard to reload,\n’ +
‘Shake or press menu button for dev menu’,
});

export default class App extends Component {
constructor(properties) {
super(properties);
OneSignal.init(“d4756822-*****************************”);

OneSignal.addEventListener('received', this.onReceived);
OneSignal.addEventListener('opened', this.onOpened);
OneSignal.addEventListener('ids', this.onIds);
// OneSignal.configure(); 	// triggers the ids event

}

componentWillUnmount() {
OneSignal.removeEventListener(‘received’, this.onReceived);
OneSignal.removeEventListener(‘opened’, this.onOpened);
OneSignal.removeEventListener(‘ids’, this.onIds);
}

onReceived(notification) {
console.log("Notification received: ", notification);
}

onOpened(openResult) {
console.log('Message: ', openResult.notification.payload.body);
console.log('Data: ', openResult.notification.payload.additionalData);
console.log('isActive: ', openResult.notification.isAppInFocus);
console.log('openResult: ', openResult);
}

onIds(device) {
console.log('Device info: ', device);
}
render() {
return (

Welcome to React Native!
To get started, edit App.js

);
}
}

const styles = StyleSheet.create({
container: {
flex: 1,
justifyContent: ‘center’,
alignItems: ‘center’,
backgroundColor: ‘#F5FCFF’,
},
welcome: {
fontSize: 20,
textAlign: ‘center’,
margin: 10,
},
instructions: {
textAlign: ‘center’,
color: ‘#333333’,
marginBottom: 5,
},
});
my dependencies
“expo”: “^34.0.1”,
“react”: “16.8.3”,
“react-dom”: “^16.8.6”,
“react-native”: “https://github.com/expo/react-native/archive/sdk-34.0.0.tar.gz”,
“react-native-onesignal”: “^3.3.3”,
“react-native-web”: “^0.11.4”